EMF::EMRSTROKEANDFILLPATH(3)

NAME
EMF::EMRSTROKEANDFILLPATH - EMF Stroke and Fill path.

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD, and EMRFILLPATH.

  Public Member Functions

EMRSTROKEANDFILLPATH (const RECTL *bounds)
EMRSTROKEANDFILLPATH (DATASTREAM &ds)
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Public Member Functions inherited from EMF::METARECORD
virtual ~METARECORD ()

Detailed Description

EMF Stroke and Fill path.

Stroke and Fill the path.

Constructor & Destructor Documentation

  EMF::EMRSTROKEANDFILLPATH::EMRSTROKEANDFILLPATH (const RECTL * bounds) [inline]

Parameters
    bounds overall bounding box of polygon.

  EMF::EMRSTROKEANDFILLPATH::EMRSTROKEANDFILLPATH (DATASTREAM & ds) [inline]
Create a StrokeandfillPath record from input stream.

Parameters
    ds Metafile datastream.

Member Function Documentation

  void EMF::EMRSTROKEANDFILLPATH::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [inline], [virtual]
Execute this record in the context of the given device context.

Parameters
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

  bool EMF::EMRSTROKEANDFILLPATH::serialize (DATASTREAM ds) [inline], [virtual]

Parameters
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMRSTROKEANDFILLPATH::size (void) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.